"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateAliasInput_1 = require("./CreateAliasInput");
var CreateAliasOutput_1 = require("./CreateAliasOutput");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var AlreadyExistsException_1 = require("./AlreadyExistsException");
var NotFoundException_1 = require("./NotFoundException");
var InvalidAliasNameException_1 = require("./InvalidAliasNameException");
var KMSInternalException_1 = require("./KMSInternalException");
var LimitExceededException_1 = require("./LimitExceededException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.CreateAlias = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'CreateAlias',
    http: {
        method: 'POST',
        requestUri: '/',
    },
    input: {
        shape: CreateAliasInput_1.CreateAliasInput,
    },
    output: {
        shape: CreateAliasOutput_1.CreateAliasOutput,
    },
    errors: [
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException,
        },
        {
            shape: AlreadyExistsException_1.AlreadyExistsException,
        },
        {
            shape: NotFoundException_1.NotFoundException,
        },
        {
            shape: InvalidAliasNameException_1.InvalidAliasNameException,
        },
        {
            shape: KMSInternalException_1.KMSInternalException,
        },
        {
            shape: LimitExceededException_1.LimitExceededException,
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException,
        },
    ],
};
//# sourceMappingURL=CreateAlias.js.map