"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var EncryptInput_1 = require("./EncryptInput");
var EncryptOutput_1 = require("./EncryptOutput");
var NotFoundException_1 = require("./NotFoundException");
var DisabledException_1 = require("./DisabledException");
var KeyUnavailableException_1 = require("./KeyUnavailableException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var InvalidKeyUsageException_1 = require("./InvalidKeyUsageException");
var InvalidGrantTokenException_1 = require("./InvalidGrantTokenException");
var KMSInternalException_1 = require("./KMSInternalException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.Encrypt = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'Encrypt',
    http: {
        method: 'POST',
        requestUri: '/',
    },
    input: {
        shape: EncryptInput_1.EncryptInput,
    },
    output: {
        shape: EncryptOutput_1.EncryptOutput,
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException,
        },
        {
            shape: DisabledException_1.DisabledException,
        },
        {
            shape: KeyUnavailableException_1.KeyUnavailableException,
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException,
        },
        {
            shape: InvalidKeyUsageException_1.InvalidKeyUsageException,
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException,
        },
        {
            shape: KMSInternalException_1.KMSInternalException,
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException,
        },
    ],
};
//# sourceMappingURL=Encrypt.js.map