"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ReEncryptInput_1 = require("./ReEncryptInput");
var ReEncryptOutput_1 = require("./ReEncryptOutput");
var NotFoundException_1 = require("./NotFoundException");
var DisabledException_1 = require("./DisabledException");
var InvalidCiphertextException_1 = require("./InvalidCiphertextException");
var KeyUnavailableException_1 = require("./KeyUnavailableException");
var DependencyTimeoutException_1 = require("./DependencyTimeoutException");
var InvalidKeyUsageException_1 = require("./InvalidKeyUsageException");
var InvalidGrantTokenException_1 = require("./InvalidGrantTokenException");
var KMSInternalException_1 = require("./KMSInternalException");
var KMSInvalidStateException_1 = require("./KMSInvalidStateException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.ReEncrypt = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: 'ReEncrypt',
    http: {
        method: 'POST',
        requestUri: '/',
    },
    input: {
        shape: ReEncryptInput_1.ReEncryptInput,
    },
    output: {
        shape: ReEncryptOutput_1.ReEncryptOutput,
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException,
        },
        {
            shape: DisabledException_1.DisabledException,
        },
        {
            shape: InvalidCiphertextException_1.InvalidCiphertextException,
        },
        {
            shape: KeyUnavailableException_1.KeyUnavailableException,
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException,
        },
        {
            shape: InvalidKeyUsageException_1.InvalidKeyUsageException,
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException,
        },
        {
            shape: KMSInternalException_1.KMSInternalException,
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException,
        },
    ],
};
//# sourceMappingURL=ReEncrypt.js.map